{% extends "base.html" %}
{% load static %}

{% block css %}
<link href="{% static 'css/wizard.css' %}" rel="stylesheet">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">

<style>
th {
    vertical-align: middle;
}
    
td {
    vertical-align: middle;
}

</style>

{% endblock css  %}


{% block title %}

<h1>Semana a Semana</h1>

{% endblock title %}

{% block content %}
<div class="row animated fadeInRight">
    <div class="col-md-12 bhoechie-tab-container">
        <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 bhoechie-tab-menu">
          <div class="list-group" id="side">
            {% for x in semanas %}
            {% if x.number == 1 %}
            <a style="font-size:18px;font-weight:400;margin-top:10px;margin-bottom:10px" href="#" class="list-group-item active text-center">
                Semana {{x.number}}
            </a>
            {% else %}
            <a style="font-size:18px;font-weight:400;margin-top:10px;margin-bottom:10px;display: block;" href="#" class="list-group-item text-center">
                Semana {{x.number}}
            </a>
            {% endif %}
            {% endfor %}
          </div>
        </div>
        <div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 bhoechie-tab">
            {% for x in semanas %}
            {% if x.number == 1 %}
            <div class="active bhoechie-tab-content">
            {% else %}
            <div class="bhoechie-tab-content">
            {% endif %}
               <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <header class="card-heading card-blue">
                                <h2 class="card-title">Semana {{x.number}} <strong class="pull-right">Fecha Inicio: {{x.fecha_inicio}} ---- Fecha Termino: {{x.fecha_termino}}</strong> </h2>
                            </header>
                            <div class="card-body">
                                <div class="row" id="topic_week{{x.pk}}">
                                       {% if x.tematica %}
                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label class="control-label" for="id_tematica{{x.pk}}">Tematica de la semana</label>
                                                <input class="form-control" value="{{x.tematica}}" disabled id="id_tematica{{x.pk}}" name="tematica" required="" type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <button class="btn btn-primary btn-block editar-tematica" data-week="{{x.pk}}" style="margin-top:30px">Editar Tematica</button>
                                        </div>                                        
                                        {% else %}
                                        <div class="col-md-10">
                                            <div class="form-group">
                                                <label class="control-label" for="id_tematica{{x.pk}}">Tematica de la semana</label>
                                                <input class=" form-control" value = "" id="id_tematica{{x.pk}}" name="tematica" required="" type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <button class="btn btn-primary agregar-tematica" data-week="{{x.pk}}" style="margin-top:22px">Agregar Tematica</button>
                                        </div>
                                        {% endif %}
                               </div><hr>
                                <div class="row animated fadeInRight acciones">
                                   <div class="col-md-12">
                                        <button type="button" class="btn btn-block btn-success text-center tarea" id="agregar_tarea_{{x.pk}}"><i class="fa fa-plus"></i> Agregar Tarea</button>
                                   </div>
                               </div>
                               <div class="row animated fadeInRight formulario" style="display:none;" hide="">
								   <div class="col-md-8 text-center">
										<div class="form-group">
											<label class="control-label  " for="tarea_val_{{x.pk}}">Tarea</label>
											<div class=" ">
												<input class=" form-control" id="tarea_val_{{x.pk}}" name="name" required="" type="text">
											</div>
										</div>
									</div>
                                   <div class="col-md-4 text-center" style="margin-top:30px">
                                       <button type="button" class="confirmar btn-sm btn btn-primary" data-week="{{x.pk}}" style="">Confirmar</button>
                                       <button class="btn btn-danger btn-sm cancel" style=""><i class="fa fa-times"></i></button>
                                   </div>
                               </div>
                               <hr>
                               <div class="row">
                                   <div class="col-md-12">
                                       <div class="card">
                                            <header class="card-heading card-yellow">
                                                <h2 class="card-title">Tarea de la Semana</h2>
                                            </header>
                                            <div class="card-body">
                                                <div class="project-list">
                                                    <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                        <thead>
                                                        <tr>
                                                            <th class="col-md-8">Tarea</th>
															<th class="col-md-4 text-center">Acciones</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody id="tarea_table{{x.pk}}">
                                                        	{% for y in x.task_set.all %}
                                                        	{% if y.retro_set.all.count == 0 %}
                                                        	<tr id="tr_{{y.pk}}"><td>{{y.name}}</td><td class="text-center" style='vertical-align:middle;'><button data-toggle="modal" data-target="#exampleModal" data-pk="{{y.pk}}" class='btn btn-blue btn-sm'><i class="fa fa-pencil"></i> Editar</button><button data-pk="{{y.pk}}" class="btn eliminar_tarea btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar</button></td></tr>                                                                                  {% else %}
                                                        	<tr id="tr_{{y.pk}}"><td>{{y.name}}</td><td class="text-center" style='vertical-align:middle;'>
                                                        	<button type="button" class="btn btn-sm btn-warning" data-toggle="popover" data-placement="auto top" data-content="Esta tarea ya fue retroalimentada por lo que no puede ser editada o eliminada" data-original-title="" title="" aria-describedby="popover591361">Tarea Retroalimentada</button>
															</td></tr>
                                                        	{% endif %}
                                                        	{% endfor %}
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                   </div>
                               </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</div>


<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" style="width:70%" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <h2 style="color:white;" class="text-center">Editar Tarea</h2>
              </div>
              <div class="modal-body">
                <div class="row">
                   <div class="col-md-12">
                       <input type="text" id="pk_tarea_edit" style="display:none;">
                        <div class="form-group">
                            <label class="control-label" for="item">Ítem</label>
                            <input class="form-control" value="" id="edit_tarea" name="edit_tarea" required type="text">
                        </div>
                    </div>
                </div>
              </div>
              <div class="modal-footer">
                   <div class="row">
						<div class="col-md-6">
							<button id="editar_tarea" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Guardar Cambios</button>
						</div>
						<div class="col-md-6">
							<button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
						</div>
                   </div>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->

{% endblock content %}
    

{% block javascript %}

<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>


<script>
    
$(document).ready(function() {
	
	$('#exampleModal').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget) // Button that triggered the modal
		var pk = button.data('pk') // Extract info from data-* attributes
		$("#pk_tarea_edit").val(pk);
		data = {
			csrfmiddlewaretoken: '{{ csrf_token }}',
			pk_semana: pk,
			
		};

		$.post("{% url 'get_task' %}",data,function(response){
			$("#edit_tarea").val(response.task)
		});
		
	}); 

	$("#editar_tarea").on("click",function(){
		
		data = {
			csrfmiddlewaretoken: '{{ csrf_token }}',
			pk_semana: $("#pk_tarea_edit").val(),
			edit_tarea: $("#edit_tarea").val(),

		};

		$.post("{% url 'edit_task' %}",data,function(response){
			$("#tr_" + response.pk).html(response.html);
			$("#exampleModal").modal("toggle");
		});
		
	});
	
    $("div.bhoechie-tab-menu>div.list-group>a").click(function(e) {
        e.preventDefault();
        $(this).siblings('a.active').removeClass("active");
        $(this).addClass("active");
        var index = $(this).index();
        $("div.bhoechie-tab>div.bhoechie-tab-content").removeClass("active");
        $("div.bhoechie-tab>div.bhoechie-tab-content").eq(index).addClass("active");
    });
	
	$(".tarea").on("click",function(){

		$(".formulario").show();
	
	});

	$(".cancel").on("click",function(){

		$(".formulario").hide();
	
	});
	
	$(".confirmar").on("click",function(){
		var pk = $(this).data("week"); 
		
		data = {
					csrfmiddlewaretoken: '{{ csrf_token }}',
					pk_semana: pk,
					tarea: $("#tarea_val_"+pk).val(),

				};

		$.post("{% url 'tarea_semana' %}",data,function(response){
			$("#tarea_table" + pk).append("<tr id='tr_" + response.pk + "'><td style='vertical-align:middle;'>" + $("#tarea_val_"+pk).val() + "</td><td class='text-center' style='vertical-align:middle;'><button class='btn btn-blue btn-sm'><i class='fa fa-pencil'></i> Editar</button><button data-pk='"+response.pk+"' class='btn eliminar_tarea btn-danger btn-sm'><i class='fa fa-times'></i> Eliminar</button></td></tr>");
			$("#tarea_val_"+pk).val("");
			$(".formulario").hide()
		});
		
	});
    
});

	
$(document).on("click",".eliminar_tarea",function(e){
	var pk = $(this).data("pk");	
	$("#tr_"+pk).remove()
	
	data = {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                pk: pk,
                
	 		};
        
      
	$.post("{% url 'delete_task' %}",data,function(response){
		$("#tr_"+pk).remove()
	});
	
});
	
	
$(document).on("click",".agregar-tematica",function(){
	
	var pk = $(this).data("week");
	$(this).removeClass("agregar-tematica");
	$(this).addClass("editar-tematica");
	$(this).html("Editar Tematica");
	$("#id_tematica"+pk).prop("disabled", true);
	
	data = {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                pk_semana: pk,
                tematica_semana: $("#id_tematica"+pk).val(),
	 
	 		};
        
      
	$.post("{% url 'tematica_semana' %}",data,function(response){
		$("#id_tematica"+pk).prop("disabled", true);
	}); 
	
	
});
	
	
$(document).on("click",".editar-tematica",function(){
	
	var pk = $(this).data("week");
	$(this).html("Agregar Tematica");
	$(this).addClass("agregar-tematica");
	$(this).removeClass("editar-tematica");
	$("#id_tematica"+pk).prop("disabled", false);

})
</script>

{% endblock javascript %}
